[CalendarServer-changes] [12277] twext/trunk/pyflakes

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:23:03 PDT 2014


Revision: 12277
          http://trac.calendarserver.org//changeset/12277
Author:   wsanchez at apple.com
Date:     2014-01-09 14:17:55 -0800 (Thu, 09 Jan 2014)
Log Message:
-----------


Added Paths:
-----------
    twext/trunk/pyflakes

Added: twext/trunk/pyflakes
===================================================================
--- twext/trunk/pyflakes	                        (rev 0)
+++ twext/trunk/pyflakes	2014-01-09 22:17:55 UTC (rev 12277)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")" && pwd -L)";
+
+. "${wd}/develop";
+
+pip install pyflakes --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log";
+exec "${python}" -m pyflakes "$@";


Property changes on: twext/trunk/pyflakes
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/87fd60e3/attachment.html>


More information about the calendarserver-changes mailing list